Bug 967253 - Review Request: goaccess - Apache Log Analyzer
Review Request: goaccess - Apache Log Analyzer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
: 629332 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 22:41 EDT by Eduardo Echeverria
Modified: 2014-02-20 08:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 01:53:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eduardo Echeverria 2013-05-25 22:41:54 EDT
Spec URL: http://echevemaster.fedorapeople.org/goaccess/1/goaccess.spec
SRPM URL: http://echevemaster.fedorapeople.org/goaccess/1/goaccess-0.5-1.fc18.src.rpm
Description: Open source real-time web log analyzer and interactive viewer that runs in a terminal in *nix systems. It provides fast and valuable HTTP statistics
for system administrators that require a visual server report on the fly.

FAS: echevemaster

Tested on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5425626
Comment 1 Christopher Meng 2013-05-26 00:38:41 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". Detailed output of licensecheck in
     /home/rpmaker/Desktop/goaccess/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: goaccess-0.5-1.fc20.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint goaccess
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
goaccess (rpmlib, GLIBC filtered):
    libGeoIP.so.1
    libc.so.6
    libglib-2.0.so.0
    libm.so.6
    libmenu.so.5
    libncurses.so.5
    libtinfo.so.5
    rtld(GNU_HASH)



Provides
--------
goaccess:
    goaccess
    goaccess(x86-32)



Source checksums
----------------
http://downloads.sourceforge.net/project/goaccess/0.5/goaccess-0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 1d162cf9a602837ae6e2396f3cf4140eb91a2423eb2b041cb5cf159926f42beb
  CHECKSUM(SHA256) upstream package : 1d162cf9a602837ae6e2396f3cf4140eb91a2423eb2b041cb5cf159926f42beb


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -rn goaccess-0.5-1.fc18.src.rpm


1) Please include the changelog and news file.(I don't see a reason that disallow this)

2) Change Licnese to GPLv2+

3) Add %check section.

Once all are fixed, I'll give fedora-review+
Comment 2 Eduardo Echeverria 2013-05-26 01:02:12 EDT
Thanks @cicku I fixed this

SPEC: http://echevemaster.fedorapeople.org/goaccess/2/goaccess.spec
SRPM: http://echevemaster.fedorapeople.org/goaccess/2/goaccess-0.5-2.fc18.src.rpm

About %check section, no test to run in this package
Comment 3 Christopher Meng 2013-05-26 01:10:53 EDT
Approved.
Comment 4 Eduardo Echeverria 2013-05-26 01:34:22 EDT
New Package SCM Request
=======================
Package Name: goaccess 
Short Description: Apache Log Analyzer
Owners: echevemaster
Branches: f17 f18 f19 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-05-26 10:21:22 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-05-27 01:14:07 EDT
goaccess-0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/goaccess-0.5-2.fc19
Comment 7 Fedora Update System 2013-05-27 01:15:00 EDT
goaccess-0.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/goaccess-0.5-2.fc18
Comment 8 Fedora Update System 2013-05-27 01:15:40 EDT
goaccess-0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/goaccess-0.5-2.fc17
Comment 9 Fedora Update System 2013-05-27 01:16:12 EDT
goaccess-0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/goaccess-0.5-2.el6
Comment 10 Fedora Update System 2013-06-08 23:32:58 EDT
goaccess-0.5-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-11 05:01:19 EDT
goaccess-0.5-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-06-11 05:06:09 EDT
goaccess-0.5-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2013-06-13 18:30:14 EDT
goaccess-0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Christopher Meng 2013-07-11 01:23:20 EDT
Have you pushed them to stable yet?
Comment 15 Christopher Meng 2013-07-20 00:16:47 EDT
*** Bug 629332 has been marked as a duplicate of this bug. ***
Comment 16 Christopher Meng 2014-02-20 00:12:21 EST
Package Change Request
======================
Package Name: goaccess
New Branches: epel7
Owners: echevemaster cicku
Comment 17 Gwyn Ciesla 2014-02-20 08:45:50 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.